# -------------------------------------------------------
# Relies on JUPYTER_PORT being set in docker-compose.yml
# -------------------------------------------------------
FROM pytorch/pytorch:latest

# Install JupyterLab
RUN pip install jupyterlab

# Install additional packages
RUN pip install plotly
RUN pip install fastbook

# Install additional applications
RUN apt update
RUN apt-get install graphviz -y

# Set environment variables, etc.
#ENV MY_ENV_VAR=myvalue

# Set the working directory
WORKDIR /workspace

# Expose the port for JupyterLab
EXPOSE ${JUPYTER_PORT}

# Command to run JupyterLab
CMD ["jupyter-lab", "--ip=0.0.0.0", "--port=8888", "--no-browser", "--allow-root", "--NotebookApp.token=''"]

